Bug 198831 (varconf) - Review Request: varconf - Configuration library used by WorldForge apps
Summary: Review Request: varconf - Configuration library used by WorldForge apps
Status: CLOSED NEXTRELEASE
Alias: varconf
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT sear
TreeView+ depends on / blocked
 
Reported: 2006-07-13 22:48 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 17:21:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wart 2006-07-13 22:48:02 UTC
Spec URL: http://www.kobold.org/~wart/fedora/varconf.spec
SRPM URL: http://www.kobold.org/~wart/fedora/varconf-0.6.4-1.src.rpm
Description:
Varconf is a configuration library intended for all applications. It manages
configuration data in files, command line arguments, and is used by most
WorldForge components.

Comment 1 Christopher Stone 2006-07-14 07:21:51 UTC
- rpmlint output:
W: varconf-devel no-documentation

okay to ignore, I dont see any documentation which should go in devel

- package named according to package naming guidelines
- spec file name matches package %{name}
- package meets packaging guidelines
- license in spec file is compatible with open source license
O package does not match actual upstream license
- license file included in %doc
- spec file written in American english
- spec file is legible
- sources match upstream
b8f30226a1fee727fd124f716d8eb72e  varconf-0.6.4.tar.gz
- package successfully compiles and builds on x86_64 FC-5
- all build dependencies are in BuildRequires
- package does not contain locales
- package properly uses %post/%postun ldconfig
- package is not relocatable
- package owns all directories it creates
- package does not contain duplicate files
- file permissions are set properly
- package contains proper %clean section
- macro usage is consistant
- package contains permissible content
- package does not contain large documentation
- files in %doc do not affect runtime
- header files are in devel
- pkgconfig files are in devel
- libraries w/o suffix are in devel
- devel package requires base package
- package does not contain .la files
- package is not a GUI needing .desktop files
- package does not own files or directories owned by other packages


==== MUST ====
- devel package should have Requires: pkgconfig
- make check should use smp flags
- make check should be patched to work, (not ||:) all you need to do is add
#include <assert.h>
  once conftest is created, you need to: cd tests ; ./conftest < conf.cfg
- fix license to match actual upstream license


Comment 2 Wart 2006-07-14 21:27:01 UTC
(In reply to comment #1)
> ==== MUST ====
> - devel package should have Requires: pkgconfig
> - make check should use smp flags
> - make check should be patched to work, (not ||:) all you need to do is add
> #include <assert.h>
>   once conftest is created, you need to: cd tests ; ./conftest < conf.cfg
> - fix license to match actual upstream license

All fixed:

http://www.kobold.org/~wart/fedora/varconf-0.6.4-2.src.rpm
http://www.kobold.org/~wart/fedora/varconf.spec

Comment 3 Christopher Stone 2006-07-17 22:11:44 UTC
>   once conftest is created, you need to: cd tests ; ./conftest < conf.cfg

^^ This should be added to %check section

Comment 4 Wart 2006-07-19 16:20:39 UTC
(In reply to comment #3)
> >   once conftest is created, you need to: cd tests ; ./conftest < conf.cfg
> 
> ^^ This should be added to %check section

My bad.  Here's the updated package:

http://www.kobold.org/~wart/fedora/varconf.spec
http://www.kobold.org/~wart/fedora/varconf-0.6.4-3.src.rpm

Comment 5 Wart 2006-07-20 17:21:19 UTC
Imported and built.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.